Loading...
Searching...
No Matches
PrintTree.h File Reference

Various tools which traverse an AX AST and report information back to a std::ostream. More...

`#include <openvdb/version.h>`
`#include <iostream>`

Go to the source code of this file.

## Namespaces

namespace | openvdb
namespace | openvdb::v10_0
namespace | openvdb::v10_0::ax
namespace | openvdb::v10_0::ax::ast

## Functions

OPENVDB_AX_API void | print (const ast::Node &node, const bool numberStatements=true, std::ostream &os=std::cout, const char *indent=" ")
| Writes a descriptive printout of a Node hierarchy into a target stream.
OPENVDB_AX_API void | reprint (const ast::Node &node, std::ostream &os=std::cout, const char *indent=" ")
| Using the provided AST, print corresponding AX code which may have been used to create it.

## Detailed Description

Various tools which traverse an AX AST and report information back to a std::ostream.

Authors
  Nick Avramoussis, Richard Jones